libzypp 17.37.10

zypp::detail::RepositoryIterator Class Reference

`#include <zypp/Repository.h>`

Inheritance diagram for zypp::detail::RepositoryIterator:

## Public Member Functions
| RepositoryIterator ()
| RepositoryIterator (sat::detail::CRepo **p)

## Private Member Functions
Repository | dereference () const
void | increment ()

## Friends
class | boost::iterator_core_access

## Detailed Description

Definition at line 458 of file Repository.h.

## Constructor & Destructor Documentation

## ◆ RepositoryIterator() [1/2]

zypp::detail::RepositoryIterator::RepositoryIterator | ( |  | ) |
| inline

Definition at line 467 of file Repository.h.

## ◆ RepositoryIterator() [2/2]

zypp::detail::RepositoryIterator::RepositoryIterator | ( | sat::detail::CRepo ** | p | ) |
| inline explicit

Definition at line 471 of file Repository.h.

## Member Function Documentation

## ◆ dereference()

Repository zypp::detail::RepositoryIterator::dereference | ( |  | ) | const
| inline private

Definition at line 478 of file Repository.h.

## ◆ increment()

void zypp::detail::RepositoryIterator::increment | ( |  | ) |
| private

Definition at line 418 of file Repository.cc.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 476 of file Repository.h.

The documentation for this class was generated from the following files:

- zypp/Repository.h
- zypp/Repository.cc